@font-face {
    font-family: "Jost", sans-serif;;
    src: url(fonts/Jost-Italic-VariableFont_wght.ttf);
    src: url(fonts/Jost-VariableFont_wght.ttf);
}

html {
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    scroll-behavior: smooth;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100vw;
    margin: 0px;
    padding: 0;
}

body{
    max-width: 1200px;
    margin: 0px;
    width: 100%;
}

::-webkit-scrollbar {
    width: 2px;
    height: 5px;
  }
  

  ::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px rgba(128, 128, 128, 0.11); 
    border-radius: 10px;
  }
   

  ::-webkit-scrollbar-thumb {
    background: #6b6b6b;
    border-radius: 5px;
  }
  

  ::-webkit-scrollbar-thumb:hover {
    background: #444444; 
}
  
li{
    list-style: none;
    font-weight: 500;
    margin: 10px 0;

}

a{
    text-decoration: none;
    color: rgb(37, 37, 37);
    cursor: pointer;
    transition: 0.2s;
    
}
a:hover{
    box-shadow: 4px 4px 5px #00000040;
    
}
a:active{
    box-shadow: inset 4px 4px 5px #00000040;
}

/*header*/

header{
    scroll-snap-align: center;
    position: relative;
    padding: 0px 3vw;
    display: flex;
    justify-content: center;
}

.navbar{
    width: 90%;
    height: 60px;
    max-width: 1024px;
    margin: 15px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    border: solid;
    border-width: 0px 0px 0.5px 0px;
    border-color: #f1f1f1;
    border-radius: 10px;
    box-shadow: 0px 4px 6px #00000030;
    padding: 0.5em 1em;
    background-color: #fff;
}
.navbar a{
    text-decoration: none;
    color: rgb(37, 37, 37);
    cursor: pointer;
    transition: 0.2s;
}
.navbar a:hover{
    box-shadow: none;
    
}
.navbar a:active{
    box-shadow: none;
}
.navbar .logo{
    display: flex;
    align-items: center;
}

.navbar .logo h1 {
    font-size: 1.5rem;
    font-weight: bold;
    margin: 0px 0px 4px 5px;
}

.navbar .links{
    display: flex;
    gap: 2rem;
}

.navbar .toggle_btn{
    color:  #101010;
    font-size: 1.5rem;
    cursor: pointer;
    display: none;
    
}

.toggle_btn .i{
    display: block;
}
.tag{
    background: #a1917980;
    padding: 5px 10px;
    color: #fff;
    border-radius: 15px;
}
.action_btn{
    /*background-image: linear-gradient(45deg, #FFC107, #FF9800); */
    padding: 0.5em 1.5em;
    border-radius: 42px;
    font-size: 0.9rem;
    font-weight: bold;
    cursor: pointer;
    /* background-color: #2a2d32; */
    border: solid 2px #2a2d32;
    transition: 0.4s;
    color: #2a2d32 !important;
}
.action_btn:hover{
    color: #FF9800 !important;
    border: solid 2px #FF9800;
}
.action_btn_mob{
        /* background-image: linear-gradient(45deg, #FFC107, #FF9800); */
    color: #ffffff;
    padding: 0.9em 1.5em;
    border-radius: 42px;
    font-size: 0.9rem;
    font-weight: bold;
    cursor: pointer;
    /* border-color: aqua; */
    background-color: #2a2d32;
    color: #f8ad3b !important;
}
.action_btn2{
    background-color: #a50000;
    color: #fff;
    padding: 1em 1.2em;
    border-radius: 10px;
    font-size: 0.9rem;
    font-weight: bold;
    cursor: pointer;
    text-align: center;

}
.act:hover{
    box-shadow: 0px 6px 10px #00000030;
}

.act:active{
    box-shadow: inset 4px 4px 5px #00000040;
}

.dropdown_menu{
    padding: 10px;
    display: none;
    position: absolute;
    right: 2rem;
    top: 80px;
    height: 0px;
    width: 250px;
    background: #ffffff;
    box-shadow: 0px 4px 6px #00000030;
    overflow: hidden;
    border-radius: 10px;
    transition: height .2s cubic-bezier(0.175, 0.885, 0.32, 1.275);
    z-index: 2;
}

.dropdown_menu.open{
    height:auto;
    display: block;
}

.dropdown_menu li{
    padding: 0.7rem;
    display: flex;
    align-items: center;
    justify-content: center;
}
.dropdown_menu a{
    font-weight: 400;
}

.dropdown_menu .action_btn{
    width: 80%;
    display: flex;
    justify-content: center;
}
/*main*/

section {
    display: flex;
    justify-content: center;
    scroll-snap-align: center;
} 


/*hero*/
.hero{
    height: 70vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 440px;
}
.heroDiv{
    display: flex;
    width: 65%;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.hero h2{
    font-size: 3.1em;
    text-align: center;
    font-family: "Jost", sans-serif;
}

.hero p{
    font-size: 1rem;
    text-align: center;
}
.hero .action{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
}
.btn{
    background-color: #f7f7f7;
    color: #101010;
    padding: 1em 2em 1em 2em;
    margin: 0.5rem 0.5rem 0.5rem 0rem;
    border-radius: 10px;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    position: relative;
    left: 10px;
}
.btn2{
    background-color: #a19179;
    color: #ffffff;
    background-image: linear-gradient(45deg, #ffd453, #FF9800);
    padding: 1em 2em;
    margin: 0.5rem 0.5rem 0.5rem 0rem;
    border-radius: 10px;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    position: relative;
    left: -10px;
}


.Entreprise{
    background-color: antiquewhite;
    height: auto;
    padding: 50px;
    border-radius: 30px;
    display: flex;
    margin: 50px;
    flex-wrap: wrap;
    min-width: 260px;
    justify-content: space-between;
}
.Entreprise .left{
    width: 60%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}


.event{
    background-color: #faebd7;
    height: auto;
    padding: 50px;
    border-radius: 30px;
    display: flex;
    margin: 50px;
    min-width: 250px;
    justify-content: center;
    flex-direction: row;
    filter: hue-rotate(16deg);
    align-items: stretch;
    flex-wrap: wrap;
}
.event .R{
    min-width: 300px;
    min-height: 200px;
    background-color: #344041;
    border-radius: 20px;
    border-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.R .anim{
    animation: find 3s;
    animation-iteration-count: infinite;
    animation-timing-function: cubic-bezier(0.71, -0.01, 0.1, 1);
}


@keyframes find {
    0%{
        rotate: -1deg;
    }
    50%{
        rotate: 1deg;
    }
    100%{
        rotate: -1deg;
    }
}

.event .L{
    width: 50%;
    margin: 50px;
}
.L .T h3{    
    color: #333;
    font-size: 2.2em;
    margin-top: 0;
}
.L .I{
    color: #333;
    display: flex;
    width: 100%;
    justify-content: space-around;
    font-weight: 700;
    flex-wrap: wrap;
}

.I .block{
    display: flex;
    align-items: center;
    min-width: 100px;
    margin: 5px 0;
}
.I .block b{
    font-weight: 500;
    line-height: 1.75em;
    font-size: 1em;
}
.block svg{
    width: 30px;
    stroke: #FFC107;
}



/* Traning */

.Traning{
    justify-content: center;
    background: #fff;
    height: auto;
    padding: 0px;
    border-radius: 30px;
    display: flex;
    margin: 50px 0;
    flex-wrap: wrap;
    min-width: 250px;
    /* justify-content: space-between; */
}
.Traning .left{
    text-align: center;
    width: 80%;
}
.Traning h3 {
    font-size: 3em;
    margin: 35px 0px;
}

.cta{
    margin: 2em 0em 0em 0em;
}

.Traning .programs{
    display: flex;
    flex-wrap: wrap;
    margin: 30px 0;
    justify-content: center;

}

.tuch{
    width: 100%;
    height: 36px;
    /* background: #fff2e2; */
    border-radius: 15px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 5px 10px;
    color: #a19179;
    font-size: 1.2em;
    font-weight: normal;
    padding: 10px;
    cursor: pointer;
    
}
.unit{
    background: #f8f9f9;
    min-width: 186px;
    border-radius: 20px;
    margin: 10px;
    padding: 20px;
    width: 25%; 
    cursor: pointer;
    box-shadow: 0px 4px 5px #00000030;
    transition: 100ms;
}
.tuch:hover{
    background: #000;
    color: #fff;
}

.Entreprise h3{
    font-size: 3em; 
    margin: 35px 0px;
}
.Entreprise .cta{
    margin: 15px 0px;
}


.Recrutement{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: 50px 0;
}

.Recrutement .recruton{
    width: 35%;
    margin: 20px;
    background-image: url(svg/x.png);
    background-repeat: no-repeat;
    background-position: top right;
}

.Recrutement .Comu{
    width: 35%;
    margin: 20px;
    filter: grayscale(1);
    background-image: url(svg/!.png);
    background-repeat: no-repeat;
    background-position: bottom right;
}

/* footer */
.footer{
    min-height: 25vh;
    background-color: #37332f;
    border-radius: 50px 50px 0px 0px;
    translate: 0 8px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: stretch;
    justify-content: space-around;
    padding: 5vw;
    width: 85vw;
}

.footer .block{
    width: 200px;
}

.block img{
    width: 50%;
    filter: brightness(5);
}
.block h2{
    color: #a19179;
    font-weight: 500;
    font-size: 1.3em;
}
.block a{
    color: #ababab;
    font-weight: 400;
    line-height: 1.75em;
    font-size: 0.9em;
    box-shadow: none;
}
.block p{
    color: #ababab;
    line-height: 1.3em;
    font-size: 1em;
}
.block b{
    color: #333;
    font-weight: 500;
    line-height: 1.75em;
    font-size: 1.1em;
}
.block .Rs{
    margin: 10px 0px;
}
.Rs svg{
    margin-right: 10px;
    stroke: #37332f;
    fill: #f8ad3c;
    stroke-width: 0;
} 


/* recrutement */
form{
    display: flex;
    flex-direction: column;
    margin: 50px 0;
    width: 80%;
    max-width: 600px;

}
form h3{
    color: #a19179;
    margin: 20px;
}
.row{
    font-size: 0.8em;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    font-weight: 600;
    color: #37332f;
}
select{
    padding: 13px;
    margin: 10px;
    border-radius: 8px;
    border-width: 0px;
    background-color: #f8f9f9;
    outline-color: #607D8B;
}
input{
    padding: 13px;
    margin: 10px;
    border-radius: 8px;
    border-width: 0px;
    background-color: #f8f9f9;
    outline-color: #607D8B;
}
input:focus{
    box-shadow: 0px 4px 5px #00000030;
}
textarea{
    padding: 13px;
    margin: 10px;
    border-radius: 8px;
    border-width: 0px;
    background-color: #f8f9f9;
    outline-color: #607D8B;
}
input[type="submit"]{
    background-color: #a19179;
    color: #fff;
    font-size: medium;
    font-weight: 500;
    box-shadow: 0px 4px 5px #00000030;
    cursor: pointer;
}
input[type="file" i] {
    /* background-color: initial; */
    cursor: default;
    align-items: baseline;
    color: grey;
    text-overflow: ellipsis;
    white-space-collapse: preserve;
    text-wrap: nowrap;
    text-align: start !important;
    /* padding: initial; */
    border: initial;
    overflow: hidden !important;
}


/* range */

#rangeValue {
    position: relative;
    display: contents;
    text-align: center;
    font-size: 1.3em;
    color: #a19179;
    font-weight: 500;
  }
  .range {
    width: 80%;
    height: 15px;
    -webkit-appearance: none;
    background: #f8f9f9;
    color: #a50000;
    outline: none;
    border-radius: 15px;
    overflow: hidden;
  }
  .range::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 15px;
    height: 15px;
    border-radius: 50%;
    background: #a19179;
    cursor: pointer;
    border: 4px solid #37332f;
    box-shadow: -407px 0 0 400px #a19179;
  } 

/* value */
.value{
    margin: 10px;
    width: 25%;
    display: flex;
    justify-content: center;
}

option {
    font-weight: 500;
}



/* laptop */
@media(max-width: 1020px){
    .navbar .links,
    .navbar .action_btn{
        display: none;
    }

    .navbar .toggle_btn {
        display: block;
    }

    .branding .image,
    .branding .texte,
    .webdev .image,
    .webdev .texte,
    .consulting .image,
    .consulting .texte{
        min-width: 90vw;
        text-align: center;
        justify-content: center;

    }
    .hero h2 {
        font-size: 2.8em;
    }

    
    .event .L {
        width: 100%;
        margin: 50px 0;
    }
    .Commit{
        display: none;
    }
}

/* Mobil */
@media(max-width: 500px){
    .dropdown_menu{
        left: 2rem;
        width: unset;
    }
    .heroDiv{
        width: 75%;}
    .hero h2{
    font-size: 2.2em;
    }
    .btn{
        padding: 1em 2em;
        cursor: pointer;
        position: unset;

    }
    
    .btn2{

        padding: 1em 2em;
        margin: 0.5rem 0.5rem 0.5rem 0rem;
        position: unset;

    }
    .overflowDiv {
        width: 92vw;
        translate: -10vw;
    }
    .branding {
        padding: 10vw;
        border-radius: 10vw;
    }

    .Entreprise {
        background-color: antiquewhite;
        height: auto;
        padding: 50px;
        border-radius: 30px;
        display: flex;
        margin: 50px 0px;
        flex-wrap: wrap;
        max-width: 260px;
        justify-content: space-between;
    }
    

    .Entreprise .left {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
    }
    .cta {
        margin: 2em 0em 0em 0em;
        display: flex;
        flex-direction: column;
    }
    .event {
        background-color: #faebd7;
        height: auto;
        padding: 50px;
        border-radius: 30px;
        display: flex;
        margin: 90px 0px;
        min-width: 250px;
        justify-content: center;
        flex-direction: row;
        filter: hue-rotate(16deg);
        align-items: stretch;
        flex-wrap: wrap;
        max-width: 260px;
    }
    .Traning {
        justify-content: center;
        background: #fff;
        height: auto;
        padding: 0px;
        border-radius: 30px;
        display: flex;
        margin: 50px 0px;
        flex-wrap: wrap;
        min-width: 250px;
        /* justify-content: space-between; */
    }
    .Traning h3 {
        font-size: 2.5em;
        margin: 35px 0px;
    }

    .Recrutement .recruton {
        margin: 20 0px;
      
    }
    .Recrutement .Comu {
        margin: 20px 0px;
      
    }

    .footer {
        border-radius: 30px 30px 0px 0px;
        translate: 0 8px;
        padding: 20vw 2vw;
        width: 90vw;
    }


}